---
title: c HTTP and HTTPS
description: Available connectors
documentId: ipaas-http
locale: en-US
---

The [**HTTP**](https://camel.apache.org/components/4.10.x/http-component.html) component enables integration with external services through the HTTP protocol, facilitating the sending and receiving of requests and responses. It supports various HTTP methods such as `GET`, `POST`, `PUT`, and `DELETE`.

<Callout type="note" title="NOTE">
The **HTTPS** component is a secure version of HTTP that uses SSL/TLS to encrypt data transmitted between client and server.
</Callout>

**URI Syntax**: `http://httpUri`

## Main fields

*Path parameters*

| **Name** | **Description** | **Default** | **Type** |
|----------|---------------|------------|----------|
| `httpUri` (common) | (required) The URL of the HTTP endpoint to be called. | — | URI |

*Query parameters*

| **Name** | **Description** | **Default** | **Type** |
|----------|---------------|------------|----------|
| `bridgeEndpoint` (producer) | If `true`, the `HttpProducer` ignores the `Exchange.HTTP_URI` header and uses the URI configured in the endpoint for the request. | false  | boolean  |
| `httpMethod` (producer)    | HTTP method to be used in the request (possible values: GET, POST, PUT, DELETE, HEAD, OPTIONS, TRACE, PATCH). | —  | HttpMethods|

## Example

<Steps>
  <Step>
  The flow starts with a POST request to the `/hello` endpoint of the integration.
  </Step>
  <Step>
   Then forwards the request to an external API at `https://mp7b5147b454.free.beeceptor.com/hello` using the POST method.
    - The `bridgeEndpoint: true` parameter preserves the original request body and headers.
  </Step>
</Steps>

   
````yaml
- from:
    uri: "rest:post:/hello"
    steps:
      - to:
          uri: "https://mp7b5147b454.free.beeceptor.com/hello"
          parameters:
            bridgeEndpoint: true
            httpMethod: POST
````

![](https://creative-ball-51b3fc85c0.media.strapiapp.com/component_http_bea4128713.png) 

### Result

```
~$ curl --location --request POST 'https://sensedia-integration-camel-poc.f6g7h8i9j0.integrations-tst.sensedia-eng.com/hello' \
> --header 'Content-Type: application/json' \
> --data-raw '{
>     "message 1": "test 1",
>     "message 2": "test 2",
>     "message 3": "test 3"
> }'

Hey ya! Great to see you here. Btw, nothing is configured for this request path. Create a rule and start building a mock API.
~$ 
```
